<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddServiceParameterReq StructType
 * @subpackage Structs
 */
class AddServiceParameterReq extends APIRequest
{
    /**
     * The serviceParameter
     * @var XServiceParameter
     */
    public $serviceParameter;
    /**
     * Constructor method for AddServiceParameterReq
     * @uses AddServiceParameterReq::setServiceParameter()
     * @param XServiceParameter $serviceParameter
     */
    public function __construct(XServiceParameter $serviceParameter = null)
    {
        $this
            ->setServiceParameter($serviceParameter);
    }
    /**
     * Get serviceParameter value
     * @return XServiceParameter|null
     */
    public function getServiceParameter()
    {
        return $this->serviceParameter;
    }
    /**
     * Set serviceParameter value
     * @param XServiceParameter $serviceParameter
     * @return AddServiceParameterReq
     */
    public function setServiceParameter(XServiceParameter $serviceParameter = null)
    {
        $this->serviceParameter = $serviceParameter;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddServiceParameterReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
